• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

[ROM][UNOFFICIAL][10] LineageOS 17.1 for Samsung Galaxy Tab S (SM-T700, SM-T705, SM-T800, SM-T800, SM-P600)

Search This thread

Hazou

Senior Member
Feb 5, 2012
1,554
2,114
I have SM-T700: Warning: No file_contexts. E3004: This package is for device : klimtwifi; This device is . E:unknown command [log], Updater process ended with error: 7, Error installing zip file.-..........................klimtwifi. Downloaded the corresponding file. Any suggestions? Installing from SD-card(tried different SD-cards, so it can't be SD-card issue(I think). Can't mount the device for transfer, so I haven't tried that. Kind of newbie, so please bear with me.
From what firmware are u comming from. The install zip can find out which device it is flashing the firmware to. So it gives an error to not break your device.
 
  • Like
Reactions: golagha11

papapapap

New member
Dec 6, 2020
4
0
Yes. You can also vastly improve the sound in general by doing the following:

1. Install Magisk 23.0, you can directly install the apk from the latest versions of TWRP
2. Once rooted, disable the pre-installed AudioFX system app
3. Install the Viper4AndroidFX 2.7.2.1 Magisk module
4. Choose legacy mode within Viper to enable the driver in this ROM
5. Adjust sound profile in Viper to your liking.
has no effect on my klimtwifi, any other solutions to increase the volume?
thanks
 

Hazou

Senior Member
Feb 5, 2012
1,554
2,114
hi!

Just wanted to report my experience with my chagallwifi :

Everything is working fine EXCEPT IR blaster..
(my mic is working fine)



here's a commit that fixed it on android 7.. I know.. we are far past that here lol

Thanks!
It needs those patches to work properly:


But I can't upload to there gerrit. So someone needs to compile it. I won't just yet for you
Hi M8. Thank you for your reply. I used T700XXU1CTK1_T700NEE1CTK1_NEE with ODIN, prior to TWRP recovery.
Seems like the right firmware. You started the firmware before flashing TWRP? Then flashed the right TWRP for your tablet? If so, I dunno. Maybe try another T700 android 6 firmware?
 
  • Like
Reactions: golagha11

golagha11

Senior Member
Nov 23, 2009
264
64
Oslo
Seems like the right firmware. You started the firmware before flashing TWRP? Then flashed the right TWRP for your tablet? If so, I dunno. Maybe try another T700 android 6 firmware?
Yes, installed the firmware, booted up. Turned the tablet OFF. Then flashed TWRP, wiped data, tried to install both from SD-card and internal storage, also downloaded the file lineage-17.1-20211118-UNOFFICIAL-klimtwifi.zip twice, same results. Md5 check is good. I need Android 8 or greater on this device.
 

Hazou

Senior Member
Feb 5, 2012
1,554
2,114
Yes, installed the firmware, booted up. Turned the tablet OFF. Then flashed TWRP, wiped data, tried to install both from SD-card and internal storage, also downloaded the file lineage-17.1-20211118-UNOFFICIAL-klimtwifi.zip twice, same results. Md5 check is good. I need Android 8 or greater on this device.
Just to be sure, what TWRP package did u use?

"Warning: No file_contexts. E3004: This package is for device : klimtwifi;"
First warning looks like TWRP issue. Second one, looks like using wrong zip file or even TWRP
 
  • Like
Reactions: golagha11

golagha11

Senior Member
Nov 23, 2009
264
64
Oslo
Just to be sure, what TWRP package did u use?

"Warning: No file_contexts. E3004: This package is for device : klimtwifi;"
First warning looks like TWRP issue. Second one, looks like using wrong zip file or even TWRP
Thanks again for taking time replying to me. I used "twrp_3.0.2-1_sm-t700.tar". TWRP worked with "VanirAOSP for SM-T700, but since that is based on Android 6, I deleted it.
 

golagha11

Senior Member
Nov 23, 2009
264
64
Oslo
Your twrp image is out of date. It doesn't work with newer Android versions. Use
https://eu.dl.twrp.me/klimtwifi/ and the latest version: 3.5.2_9
WOW. You are just the king. Thanks a lot, that did the trick. Successfully installed the OS, but got a error message for the GApps, probably have the wrong version in there as well. Downloading for ARM64 as we speak. You really saved my day. I spent 2-3 hours yesterday and couple of hours today. Once again, thanks a lot. wish you the best.
 
  • Like
Reactions: Hazou

Hazou

Senior Member
Feb 5, 2012
1,554
2,114
WOW. You are just the king. Thanks a lot, that did the trick. Successfully installed the OS, but got a error message for the GApps, probably have the wrong version in there as well. Downloading for ARM64 as we speak. You really saved my day. I spent 2-3 hours yesterday and couple of hours today. Once again, thanks a lot. wish you the best.
Good the device works. U need gapps for Android 10. Don't use arm64. The device has a 32 bit processor.
 
  • Like
Reactions: golagha11

golagha11

Senior Member
Nov 23, 2009
264
64
Oslo
Good the device works. U need gapps for Android 10. Don't use arm64. The device has a 32 bit processor.
Thanks M8. I thought that the platform was wrong since i got an error when I tried to install "open_gapps-arm-10.0-stock-20211125.zip", but I downloaded open_gapps-arm-10.0-full-20211125 and that did the magic. Thanks again M8.
 
  • Like
Reactions: Hazou

MegaMike99

New member
Nov 28, 2021
1
0
Hi guys,

i installed TWRP and "lineage-17.1-20211118-UNOFFICIAL-klimtwifi" and
installation works very well.
I also set an 128GB-SD-Card to expand the internal memory.
So the ystem says:
"4,09GB of 16GB used"
"2,13GB of 128GB used"

So, sound good, but whenever i try to install an APP i always get the
error message "Not enough memory".

Any idea why???

Mike
 

Bawdy George

Member
Dec 5, 2016
29
6
has no effect on my klimtwifi, any other solutions to increase the volume?
thanks
Make sure Master Limiter and Playback gain control are on. It's possible to set the level of those and accidentally leave the toggles off. Then play some audio and check if the driver status is Processing: Yes. I have also forgotten to disable the stock AudioFX driver in the ROM, which will block Viper if enabled.

If all those conditions are met, I don't know what to tell you, It has worked on every device I've tried.
 
  • Like
Reactions: papapapap

papapapap

New member
Dec 6, 2020
4
0
Make sure Master Limiter and Playback gain control are on. It's possible to set the level of those and accidentally leave the toggles off. Then play some audio and check if the driver status is Processing: Yes. I have also forgotten to disable the stock AudioFX driver in the ROM, which will block Viper if enabled.

If all those conditions are met, I don't know what to tell you, It has worked on every device I've tried.
great, thats working. thanks
 

korayesque

Member
Oct 25, 2020
7
2
Unfortunately it didn't work. I can get to the point where I can put heimdall print-pit command on my Win10 PC, it starts working but gives an error on downloading device's PIT file. As follows:




Initialising connection...
Detecting device...
libusb: error [init_device] device '\\.\USB#VID_0BDB&PID_193E&CDC_0D&MI_06#6&1D9D7D7B&0&0006' is no longer connected!
libusb: error [init_device] device '\\.\USB#VID_046D&PID_C52B&MI_02#6&2C82025E&0&0002' is no longer connected!
Claiming interface...
Setting up interface...

Initialising protocol...
Protocol initialisation successful.

Beginning session...

Some devices may take up to 2 minutes to respond.
Please be patient!

Session begun.

Downloading device's PIT file...
ERROR: Failed to receive end PIT file transfer verification!
ERROR: Failed to download PIT file!
Ending session...
ERROR: Failed to receive session end confirmation!
Releasing device interface...


Some people suggested to use ODIN3 for this error, but I cannot get TWRP to work when I install it with ODIN3? By the way, I cannot unlock the bootloader and the device is not rooted as I mentioned earlier.

Any help would be appreciated...

K.

OK, I was able to install lineageos 17 on a Samsung SM-P600 using the method described in the following video:


I basically used odin v3.14.1 to install an auto-root tool file, which I got from here (and followed their directions):


Then I installed twrp (twrp-3.5.0_9-0-lt03wifiue.img.tar) using odin v3.14.1 but with Auto Reboot unchecked in Options tab (as described in the video above).

Then I started the tablet in recovery mode and voila twrp was working. Then I backed up existing system and files. I mounted the drive and copied:

lineage-17.1-20211118-UNOFFICIAL-n1awifi.zip
open_gapps-arm-10.0-pico-20211105.zip

to TWRP folder.

Then I installed lineageos first and open_gapps second. I wiped as suggested in the video above.

It rebooted and works perfectly!

Thanks for this wonderful build, thanks all the help efforts, and thanks to the owner of the video above. All works great now. A new lease of life to a very capable tablet.

Koray
 
  • Like
Reactions: runekock

Trlef

New member
Nov 24, 2021
2
0
Hey guys, I just installed the latest crdroid for my t705 but it doesn't boot. It just stays on boot screen for hours. What can I do?
 

Top Liked Posts